Bug 535634 - (RHQ-2309) Sigar crash on OS X 10.5.8/Intel [NEEDINFO]
Sigar crash on OS X 10.5.8/Intel
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: No Component (Show other bugs)
1.3pre
All All
low Severity medium (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
Mike Foley
http://jira.rhq-project.org/browse/RH...
: SubBug
Depends On:
Blocks: rhq_triage
  Show dependency treegraph
 
Reported: 2009-08-07 12:09 EDT by Heiko W. Rupp
Modified: 2013-12-07 10:40 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
OS X 10.5.8
Last Closed: 2013-12-07 10:40:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
cwelton: needinfo? (ian.springer)


Attachments (Terms of Use)

  None (edit)
Description Heiko W. Rupp 2009-08-07 12:09:00 EDT
Sigar from head (4792) crashed on me - have seen that a few days ago as well (here on 10.5.7).
This did never crash with older sigar versions.
The agent (here embedded, in the other case standalone) was running for a longer time already, so no immediate crash on first call.


Exception Type:  EXC_BAD_ACCESS (SIGBUS)
Exception Codes: KERN_PROTECTION_FAILURE at 0x0000000000000000
Crashed Thread:  74

Application Specific Information:

Java information:
 Version: Java HotSpot(TM) Client VM (1.5.0_19-137 mixed mode)
 Virtual Machine version: Java HotSpot(TM) Client VM (1.5.0_19-137) for macosx-x86, built on May 29 2009 13:21:56 by root with gcc 4.0.1 (Apple Inc. build 5465)
 Exception type: Bus Error (0xa) at pc=0x2ae9a93a

Current thread (0x29946860):  JavaThread "InventoryManager.discovery-1" daemon [_thread_in_native, id=13514752]
Stack: [0xb2ccc000,0xb2d4c000)
Java frames: (J=compiled Java code, j=interpreted, Vv=VM code)
J  org.hyperic.sigar.Sigar.getProcArgs(J)[Ljava/lang/String;
J  sun.reflect.GeneratedMethodAccessor215.invoke(Ljava/lang/Object;[Ljava/lang/Object;)Ljava/lang/Object;
J  sun.reflect.DelegatingMethodAccessorImpl.invoke(Ljava/lang/Object;[Ljava/lang/Object;)Ljava/lang/Object;
J  java.lang.reflect.Method.invoke(Ljava/lang/Object;[Ljava/lang/Object;)Ljava/lang/Object;
J  org.rhq.core.system.SigarAccess$SigarAccessHandler.invoke(Ljava/lang/Object;Ljava/lang/reflect/Method;[Ljava/lang/Object;)Ljava/lang/Object;
J  $Proxy460.getProcArgs(J)[Ljava/lang/String;
v  ~RuntimeStub::alignment_frame_return Runtime1 stub
j  org.rhq.core.system.ProcessInfo.update(J)V+75
j  org.rhq.core.system.ProcessInfo.<init>(JLorg/hyperic/sigar/SigarProxy;)V+33
J  org.rhq.core.system.NativeSystemInfo.getAllProcesses()Ljava/util/List;
v  ~RuntimeStub::alignment_frame_return Runtime1 stub
j  org.rhq.core.pc.inventory.AutoDiscoveryExecutor.getProcessInfos()Ljava/util/List;+23
j  org.rhq.core.pc.inventory.AutoDiscoveryExecutor.call()Lorg/rhq/core/domain/discovery/InventoryReport;+59
j  org.rhq.core.pc.inventory.AutoDiscoveryExecutor.call()Ljava/lang/Object;+1
J  java.util.concurrent.FutureTask$Sync.innerRun()V
J  java.util.concurrent.FutureTask.run()V
j  java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(Ljava/util/concurrent/ScheduledThreadPoolExecutor$ScheduledFutureTask;)V+1
j  java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run()V+15
J  java.util.concurrent.ThreadPoolExecutor$Worker.runTask(Ljava/lang/Runnable;)V
v  ~RuntimeStub::alignment_frame_return Runtime1 stub
j  java.util.concurrent.ThreadPoolExecutor$Worker.run()V+28
j  java.lang.Thread.run()V+11
v  ~StubRoutines::call_stub


Thread 74 Crashed:
0   ...igar-universal-macosx.dylib	0x2ae9a93a sigar_kern_proc_args_get + 154
1   ...igar-universal-macosx.dylib	0x2ae9aade sigar_os_proc_args_get + 30
2   ...igar-universal-macosx.dylib	0x2ae8d08e Java_org_hyperic_sigar_Sigar_getProcArgs + 110
3   ???                           	0x03d20659 0 + 64095833
4   ???                           	0x03e9ea50 0 + 65661520
5   ???                           	0x03b334c0 0 + 62076096
Comment 1 Red Hat Bugzilla 2009-11-10 16:01:57 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-2309
Comment 2 wes hayutin 2010-02-16 11:51:39 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 3 wes hayutin 2010-02-16 11:57:55 EST
making sure we're not missing any bugs in rhq_triage
Comment 4 Corey Welton 2010-11-22 13:11:29 EST
Ian, is there an open sigar bug about this?

Note You need to log in before you can comment on or make changes to this bug.